> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzyco.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages

> List all messages with pagination support



## OpenAPI

````yaml /api-reference/openapi.json get /v1/messages
openapi: 3.1.0
info:
  title: Bizzy API
  version: 1.0.0
  description: Bizzy API for managing businesses, customers, contacts, and more.
servers:
  - url: https://api.bizzyco.ai
    description: Production
security: []
tags:
  - name: Automations
    description: Manage workflow automation rules
    x-group: Automations
  - name: Automation Executions
    description: View automation execution history
    x-group: Automations
  - name: Businesses
    description: Manage business profiles
    x-group: Businesses
  - name: Business Offerings
    description: Manage products and services offered by businesses
    x-group: Businesses
  - name: Business Online Presences
    description: Manage websites and social media links
    x-group: Businesses
  - name: Business Physical Presences
    description: Manage physical locations and addresses
    x-group: Businesses
  - name: Business Profile
    description: View and update business profile details
    x-group: Businesses
  - name: Contacts
    description: Manage contact records
    x-group: Contacts
  - name: Contact Addresses
    description: Manage mailing addresses for contacts
    x-group: Contacts
  - name: Contact Emails
    description: Manage email addresses for contacts
    x-group: Contacts
  - name: Contact Phone Numbers
    description: Manage phone numbers for contacts
    x-group: Contacts
  - name: Customers
    description: Manage customer records
    x-group: Customers
  - name: Customer Transactions
    description: View customer transaction history
    x-group: Customers
  - name: Domains
    description: Manage domain names
    x-group: Domains
  - name: Domain Contacts
    description: Manage contacts associated with domains
    x-group: Domains
  - name: Domain Registrations
    description: Manage domain registration records
    x-group: Domains
  - name: Files
    description: Manage file uploads and downloads
    x-group: Files
  - name: File Access Links
    description: Manage shareable file access links
    x-group: Files
  - name: Folders
    description: Organize files into folders
    x-group: Files
  - name: Messages
    description: Manage email messages
    x-group: Messages
  - name: Message Attachments
    description: Access message file attachments
    x-group: Messages
  - name: Message Contacts
    description: View contacts associated with messages
    x-group: Messages
  - name: Tasks
    description: Manage task records
    x-group: Tasks
  - name: Task Assignees
    description: Manage user assignments to tasks
    x-group: Tasks
  - name: Task Activity
    description: View task activity and change history
    x-group: Tasks
paths:
  /v1/messages:
    get:
      tags:
        - Messages
      summary: List messages
      description: List all messages with pagination support
      operationId: listMessages
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 10
            description: Maximum number of items to return (1-100)
            example: 10
          required: false
          description: Maximum number of items to return (1-100)
          name: limit
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
            description: Number of items to skip
            example: 0
          required: false
          description: Number of items to skip
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Sort order by creation date
            example: desc
          required: false
          description: Sort order by creation date
          name: sortOrder
          in: query
      responses:
        '200':
          description: List of messages with pagination metadata
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum burst of requests the tier allows per minute
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window after this request
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Seconds until the allowance is fully replenished
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Message'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          total:
                            type: number
                          limit:
                            type: number
                          offset:
                            type: number
                          hasMore:
                            type: boolean
                        required:
                          - limit
                          - offset
                          - hasMore
                required:
                  - data
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limit exceeded for the account tier (error code RATE_LIMITED)
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum burst of requests the tier allows per minute
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window after this request
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Seconds until the allowance is fully replenished
            Retry-After:
              schema:
                type: integer
              description: Seconds to wait before the next request will be accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    Message:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type:
            - string
            - 'null'
          format: date-time
        timestamp:
          type: string
          format: date-time
        readAt:
          type:
            - string
            - 'null'
          format: date-time
        archivedAt:
          type:
            - string
            - 'null'
          format: date-time
        snoozedUntil:
          type:
            - string
            - 'null'
          format: date-time
        organizationId:
          type: string
          format: uuid
        phoneNumberId:
          type:
            - string
            - 'null'
          format: uuid
        emailAddressId:
          type:
            - string
            - 'null'
          format: uuid
        type:
          type: string
          enum:
            - email
            - signal
            - sms
            - telegram
            - voicemail
            - whatsapp
        direction:
          type: string
          enum:
            - incoming
            - outgoing
        sender: {}
        recipient: {}
        providerMessageId:
          type: string
        providerName:
          type:
            - string
            - 'null'
        threadId:
          type: string
        text:
          type: string
        action:
          type:
            - string
            - 'null'
        category: {}
        importance:
          type:
            - string
            - 'null'
        status:
          type: string
        summary:
          type:
            - string
            - 'null'
        urgency:
          type:
            - string
            - 'null'
        metadata: {}
      required:
        - id
        - createdAt
        - updatedAt
        - deletedAt
        - timestamp
        - readAt
        - archivedAt
        - snoozedUntil
        - organizationId
        - phoneNumberId
        - emailAddressId
        - type
        - direction
        - providerMessageId
        - providerName
        - threadId
        - text
        - action
        - importance
        - status
        - summary
        - urgency
      additionalProperties: {}
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details: {}
          required:
            - message
            - code
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication via Bearer token

````